TopOrdAndFloatQueue.OrdAndFloat (Lucene 10.5.0 facet API)
Description: declaration: package: org.apache.lucene.facet, class: TopOrdAndFloatQueue, class: OrdAndFloat

Package org.apache.lucene.facet

# Class TopOrdAndFloatQueue.OrdAndFloat

java.lang.Object
org.apache.lucene.facet.TopOrdAndNumberQueue.OrdAndValue
org.apache.lucene.facet.TopOrdAndFloatQueue.OrdAndFloat

Enclosing class:
  `TopOrdAndFloatQueue`

public static final class TopOrdAndFloatQueue.OrdAndFloat extends TopOrdAndNumberQueue.OrdAndValue
Holds an ordinal and a float value.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `float`
  `value`
  The value corresponding to the ordinal is a float.

  ### Fields inherited from class org.apache.lucene.facet.TopOrdAndNumberQueue.OrdAndValue

  `ord`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OrdAndFloat()`
  Default constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Number`
  `getValue()`
  Get the value stored in this `TopOrdAndNumberQueue.OrdAndValue`.
  `boolean`
  `lessThan(TopOrdAndNumberQueue.OrdAndValue other)`
  Compare with another `TopOrdAndNumberQueue.OrdAndValue`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### value

    public float value
    The value corresponding to the ordinal is a float.

- ## Constructor Details

  - ### OrdAndFloat

    public OrdAndFloat()
    Default constructor.

- ## Method Details

  - ### lessThan

    public boolean lessThan(TopOrdAndNumberQueue.OrdAndValue other)
    Description copied from class: `TopOrdAndNumberQueue.OrdAndValue`
    Compare with another `TopOrdAndNumberQueue.OrdAndValue`.
    Specified by:
      `lessThan` in class `TopOrdAndNumberQueue.OrdAndValue`

  - ### getValue

    public Number getValue()
    Description copied from class: `TopOrdAndNumberQueue.OrdAndValue`
    Get the value stored in this `TopOrdAndNumberQueue.OrdAndValue`.
    Specified by:
      `getValue` in class `TopOrdAndNumberQueue.OrdAndValue`